Arch Remove/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "== Scrip-Programare ==")
(Created page with "Instrumentul Remove poate fi folosit în macros și din consola python utilizând următoarea funcție:")
Line 20: Line 20:
== Scrip-Programare ==
== Scrip-Programare ==


The Remove tool can by used in [[macros]] and from the python console by using the following function:
Instrumentul Remove poate fi folosit în [[macros]] și din consola python utilizând următoarea funcție:
'''removeComponents (objectsList,[hostObject])'''
'''removeComponents (objectsList,[hostObject])'''
* removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.
* removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.

Revision as of 19:34, 22 November 2018

Arch Remove

Menu location
Arch → Remove
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Add

Descriere

Instrumentele de eliminare vă permit să efectuați două tipuri de operații:

  • Eliminați o subcomponentă dintr-un obiect Arch, de exemplu, scoateți o cutie adăugată pe un perete, ca în exemplul Arch Add
  • Scoateți un obiect bazat pe shape dintr-o componentă Arch, cum ar fi wall sau structure

In imaginea de mai sus, o casetă este extrasă dintr-un perete.

Cum se folosește

  1. Selectați o subcomponentă în interiorul unui obiect Arch, sau:
  2. Selectați obiectul (obiectele) care trebuie scos, apoi componenta Arch din care trebuie să fie scăzută (componenta Arch trebuie să fie ultimul lucru pe care l-ați selectat)
  3. Apăsați butonul Remove

Scrip-Programare

Instrumentul Remove poate fi folosit în macros și din consola python utilizând următoarea funcție:

removeComponents (objectsList,[hostObject])
  • removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)
Arch.removeComponents(box)